#! /bin/sh

rm -f data.output.*

../src/yydecode uuencode.reference || exit 1
cmp data.reference data.output.uu || exit 1
rm -f data.output.*

../src/yydecode base64.reference || exit 1
cmp data.reference data.output.b64 || exit 1
rm -f data.output.*

# mixed input decoding
cat base64.reference yEnc.reference uuencode.reference	\
	| ../src/yydecode || exit 1
cmp data.reference data.output.b64 || exit 1
cmp data.reference data.output.bin || exit 1
cmp data.reference data.output.uu || exit 1
rm -f data.output.*

exit 0

